Update a webhook by UID
curl --request PATCH \
--url https://a.api.mindset.ai/api/v1/appuid/{appUid}/webhooks/uid/{uid} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"url": "<string>",
"entities": [],
"active": true
}
'import requests
url = "https://a.api.mindset.ai/api/v1/appuid/{appUid}/webhooks/uid/{uid}"
payload = {
"name": "<string>",
"url": "<string>",
"entities": [],
"active": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', url: '<string>', entities: [], active: true})
};
fetch('https://a.api.mindset.ai/api/v1/appuid/{appUid}/webhooks/uid/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uid": "<string>",
"name": "<string>",
"url": "<string>",
"secret": "<string>",
"entities": [
"<string>"
],
"active": true,
"createdAt": "2023-11-07T05:31:56Z"
}This response has no body data.This response has no body data.Webhooks
Update a webhook by UID
PATCH
/
api
/
v1
/
appuid
/
{appUid}
/
webhooks
/
uid
/
{uid}
Update a webhook by UID
Authorizations
Path Parameters
Your application's uid
Minimum string length:
1Unique ID of the webhook
Body
application/json
Descriptive name for the webhook
Maximum string length:
50Webhook endpoint URL
Required string length:
1 - 500Entity types to monitor
Required array length:
1 - 10 elementsAvailable options:
agent, context, contextfile Whether the webhook is active
Response
Successful update
⌘I